[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'contnrs' (#fcl)

# THashFunction

Hash calculation function.

## Declaration

Source position: contnrs.pp line 334

`type THashFunction = function(`
`const S: string;`
`const TableSize: LongWord`
`):LongWord;`

## Arguments

`S` |  | String to calculate hash value from.
`TableSize` |  | Hash table size.

## Function result

Hash value

## Description

THashFunction is the prototype for a hash calculation function. It should calculate a hash of string S, where the hash table size is TableSize. The return value should be the hash value.

Documentation generated on: Feb 26 2014